Author Topic: Upgrading from V1.0.12 to 1.1.5  (Read 4010 times)

abicat

  • Beginner
  • *
  • Posts: 7
Upgrading from V1.0.12 to 1.1.5
« on: September 29, 2010, 15:10:55 pm »
Hi There
Im new to this site so please forgive my lack of knowledge
 
I have just tried to upgrade my Virtuemart  V 1.0.12 to V1.1.15 following the correct proceedures within Installers/Components in Joomla and using the Upload File & Install routine, and it keeps saying "Upload component failed" Another component is already using directory :/home/fhlinux163/n/newhall-bathrooms.co.uk/user/htdocs/components/com_virtuemart/
 
The file I tried to upload is com_virtuemart_1.1.5 ziped file in Manual installation.
 
Having downloaded the installation manual and followed instructions correctly (So I think) I cant go any further. How can I upgrade to the latest version?

There is another way of installing which askes to change the root directory of your Joomla site. Could someone show me where that is and how to do it?

Any suggestions or other things I should try?
 
 
Thanks
 
Abi Jay

Svetlio

  • Jr. Member
  • **
  • Posts: 141
Re: Upgrading from V1.0.12 to 1.1.15
« Reply #1 on: September 29, 2010, 15:57:51 pm »
Actually, in order to upgrade the VirtueMart script you should upload the new component files overwriting the existing ones.

Then open the Joomla admin area and navigate to Components -> VirtueMart. This will update the database.

More details can be found in the following knowledge base article:

http://kb.siteground.com/article/How_to_upgrade_my_VirtueMart_Joomla_component.html

SiteGround Technical Support Team Member. Check out our special VirtueMart hosting package

abicat

  • Beginner
  • *
  • Posts: 7
Re: Upgrading from V1.0.12 to 1.1.15
« Reply #2 on: September 30, 2010, 11:16:19 am »
Hi there

I have updated my question to which you kindly replied to.
The problem is I cant go any further with this upgrade due to the error I keep getting. The file I downloaded is the correct file but the error still comes up.

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27736
  • Always on vacation
    • Jenkin Hill Internet
Re: Upgrading from V1.0.12 to 1.1.15
« Reply #3 on: September 30, 2010, 16:01:48 pm »
There is no VirtueMart 1.1.15

What version of Joomla?
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.8.2 10325 on Joomla 3.9.18 PHP 7.3.18

abicat

  • Beginner
  • *
  • Posts: 7
Re: Upgrading from V1.0.12 to 1.1.15
« Reply #4 on: September 30, 2010, 16:14:47 pm »
Im running Joomla V1.0.12

abicat

  • Beginner
  • *
  • Posts: 7
Re: Upgrading from V1.0.12 to 1.1.5
« Reply #5 on: September 30, 2010, 16:42:32 pm »
My Virtuemart and Joomla versions are the same as I have just double checked. Joomla V 1.0.12 and Vituemart V1.0.12
There was a mistake on my original version saying 1.1.15. That was a typing error. Lol

Hope this helps

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27736
  • Always on vacation
    • Jenkin Hill Internet
Re: Upgrading from V1.0.12 to 1.1.5
« Reply #6 on: October 01, 2010, 10:55:07 am »
Those are very old versions. You should "update" Joomla to 1.0.15 followed by VirtueMart to 1.0.15

Then update VirtueMart to 1.1.5 using manual install and following the instructions in the readme in the file pakage. Make sure you use the version for Joomla 1.0 - it does not have j15 in the filename.

Then migrate the Joomla version to 1.5 series (this is the most problematic part). Instructions for that are on the Joomla site and in http://forum.virtuemart.net/index.php?topic=60443.0.

Then you should be using the VirtueMart 1.1.5 j15 fileset.

Do all this on a backup copy of the live site as it takes time to manage the updates and then template & style the site.
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.8.2 10325 on Joomla 3.9.18 PHP 7.3.18

aussieute

  • Jr. Member
  • **
  • Posts: 75
Re: Upgrading from V1.0.12 to 1.1.5
« Reply #7 on: October 21, 2010, 00:58:12 am »
@abicat upgrade your Joomla install to 1.5.21
If you want a quick way to keep up to date then use JUpdateMan
You are opening yourself to all sorts of issues by trying to update Virtuemart and not Joomla no only because of the gap but for security's sake as well.